2008-11-21 11:05  Martin Krauskopf

	* src/org/jruby/debug/RubyDebugger.java: typo

2008-11-21 10:16  Martin Krauskopf

	* ., Rakefile, patch-0.10.2.diff, patch-0.10.3.diff,
	  rakelib/test.rake, src/org/jruby/debug/RubyDebugger.java:
	  Switching trunk to ruby-debug 0.10.3

2008-11-10 13:47  Martin Krauskopf

	* lib/ruby-debug-base.rb: Use absolute paths in require (relative
	  stoped to work with JRuby 1.1.5)

2008-11-10 00:08  Martin Krauskopf

	* README: Correcting ruby-debug and ruby-debug-base versions

2008-09-08 14:09  Martin Krauskopf

	* ChangeLog: ChangeLog update before 0.10.2 release

2008-09-08 13:25  Martin Krauskopf

	* rakelib/test.rake: Consider all test stable until explicitly
	  marked unstable

2008-09-08 13:24  Martin Krauskopf

	* Rakefile: Do not hardcode gem version on several places

2008-09-02 09:29  Martin Krauskopf

	* README-DEV: Revived README for developers

2008-09-02 09:27  Martin Krauskopf

	* rakelib/test.rake: special test_stable task

2008-09-02 09:24  Martin Krauskopf

	* Rakefile: prepare also basic config.private.yaml specific for
	  JRuby

2008-09-02 08:24  Martin Krauskopf

	* ., patch-0.10.1.diff, patch-0.10.2.diff: Upgrading test patch for
	  ruby-debug 0.10.2

2008-09-02 08:06  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java: Prevent NPE

2008-09-02 08:06  Martin Krauskopf

	* src/org/jruby/debug/Debugger.java: Ensure Debugger#stop is always
	  called

2008-09-02 06:42  Martin Krauskopf

	* Rakefile, src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/RubyDebugger.java: Updating to ruby-debug
	  0.10.2.
	  
	  - Debugger#load changed to take 2 optional args
	  - fixing startCount bug

2008-09-01 07:17  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java: Fixing problem with
	  0-based vs 'new in JRuby' 1-base line numbering.
	  
	  - adding 'default' case

2008-08-29 11:56  Martin Krauskopf

	* README-DEV: obsolete fro trunk

2008-08-29 11:26  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Util.java: Making trunk compilable with JRuby
	  1.1.4 (and thus non-compilable with older version)

2008-07-16 14:11  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/RubyDebugger.java: Migration to new JRuby
	  APIs

2008-06-13 09:27  Martin Krauskopf

	* README, README-DEV, Rakefile: Switching to JRuby 1.1.2 --debug
	  parameter

2008-06-13 08:52  Martin Krauskopf

	* ChangeLog, README: Updating version s/0.10.0/0.10.1

2008-05-16 09:31  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java: Fixing typo; passing
	  wrong parameter to Debugger::Context#at_catchpoint
	  - regression test in ruby-debug-ide
	  CatchpointTest#test_catchpoint_basics

2008-05-05 13:34  Martin Krauskopf

	* .: typo: s/runner.rb/runner.sh

2008-05-05 13:33  Martin Krauskopf

	* ., Rakefile: "Import" runner.sh from native ruby-debug-base and
	  patch it for JRuby

2008-05-04 16:55  Martin Krauskopf

	* ChangeLog, src/org/jruby/debug/Util.java,
	  testjava/org/jruby/debug/UtilTest.java: One more case for JRuby
	  core detection

2008-05-04 14:47  Martin Krauskopf

	* patch-0.10.1.diff: - passing few more tests
	  - appyling multi-interpreter patch patch-0.10.1.diff
	  (see [#19934] Patch making test-init.rb interpreter independent)

2008-05-04 11:57  Martin Krauskopf

	* patch-0.10.1.diff: Tweaking annotate.right to be passed (JRuby
	  does not step twice on 'if' node)

2008-05-04 11:38  Martin Krauskopf

	* src/org/jruby/debug/Context.java: Fixing 'finish' acttion.

2008-05-04 11:34  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java: Ignore JRuby core
	  classes by default. Consider option for enabling it.

2008-05-02 14:04  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Util.java: Do not trace JRuby's built-in
	  support classes
	  - s/setFrameSource/updateTopFrame

2008-05-02 11:46  Martin Krauskopf

	* patch-0.10.1.diff: passing test-info.rb (not support for
	  TraceLineNumbers yet)

2008-05-02 11:30  Martin Krauskopf

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/Debugger.java: Temporary breakpoints (cont
	  <number> command) should not increase breakpoint id counter
	  Caught by and passing now TestInfoVar

2008-05-01 14:07  Martin Krauskopf

	* patch-0.10.1.diff: - tweaking 'stepping' test to be passed by
	  JRuby which does not stop twice on certain expressions
	  - we do not show '-' for recursively entered frames

2008-04-30 16:15  Martin Krauskopf

	* src/org/jruby/debug/Breakpoint.java,
	  src/org/jruby/debug/DebugEventHook.java: - prevent internal
	  conversion error in "condidion" command
	  - make breakpoint enable/disable state actually work
	  - relativize all entry files

2008-04-29 22:44  Martin Krauskopf

	* ChangeLog, src/org/jruby/debug/Breakpoint.java,
	  src/org/jruby/debug/DebugBreakpoint.java: Unused imports

2008-04-29 22:43  Martin Krauskopf

	* Rakefile, patch-0.10.1.diff: patch against ruby-debug-base 0.10.1
	  which:
	  - prepares default customized test/config.private.yaml suitable
	  for JRuby
	  - tweaks test suite to be able to pass for jruby-debug-base which
	  does
	  not support e.g. TraceLineNumbers yet.

2008-04-29 22:12  Martin Krauskopf

	* src/org/jruby/debug/Breakpoint.java,
	  src/org/jruby/debug/DebugBreakpoint.java: Implementing enabled?
	  and enabled= for Breakpoint
	  (passing tweaked test-breakpoints)

2008-04-28 08:10  Martin Krauskopf

	* src/org/jruby/debug/DebugContext.java,
	  src/org/jruby/debug/Debugger.java: Clear current stack when
	  debuggee is loaded, thus prevent Debugger
	  related calls to appear on the stack.

2008-04-28 08:10  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java: more appropriate method
	  name s/resetFrameMid/resetTopFrameMethodName

2008-04-27 10:56  Martin Krauskopf

	* ChangeLog, lib/ruby-debug-base.rb: Synchronizing with 0.10.1
	  ruby-debug-base.rb

2008-04-27 10:54  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Util.java: Making debug mode
	  (Debugger.debug=true) more useful

2008-04-27 07:54  Martin Krauskopf

	* rakelib: Providing playground for own developer's task in
	  rakelib/private.rake

2008-04-27 07:28  Martin Krauskopf

	* src/org/jruby/debug/Debugger.java: simple code simplification,
	  more type-safety

2008-04-26 20:59  Martin Krauskopf

	* testjava, testjava/org, testjava/org/jruby,
	  testjava/org/jruby/debug, testjava/org/jruby/debug/UtilTest.java:
	  Forgotten simple sanity check test for Util

2008-04-26 20:51  Martin Krauskopf

	* ChangeLog, README-DEV: More info for developers

2008-04-26 19:37  Martin Krauskopf

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugBreakpoint.java,
	  src/org/jruby/debug/Util.java: - getting rid on not so useful
	  Util#toInt
	  - useful DebugBreakpoint#toString
	  - bit of simple Javadoc

2008-04-26 19:26  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Util.java: Passing more CLI tests (relativize
	  files to user's working directory)

2008-04-26 13:59  Martin Krauskopf

	* ChangeLog, src/org/jruby/debug/Context.java: Cosmetic readability
	  change

2008-04-26 12:02  Martin Krauskopf

	* .: Ignore rdbg.rb possibly created by :prepare_tests target

2008-04-26 12:00  Martin Krauskopf

	* README-DEV, Rakefile: - convenient :prepare_tests target for
	  setup-ing tests specifically for JRuby
	  - mini-HowTo for developers for how to run tests

2008-04-26 10:50  Martin Krauskopf

	* ., Rakefile: - import through svn:externals whole test CLI test
	  suite + bin and cli
	  directories needed to run it. Note you also need rdbg.rb to run
	  tests but
	  svn:exernals does not supports them so far
	  (http://subversion.tigris.org/issues/show_bug.cgi?id=937)
	  - add targets for running test_base and CLI tests
	  (notice
	  https://rubyforge.org/tracker/index.php?func=detail&aid=19779&group_id=1900&atid=7438)

2008-04-26 10:44  Martin Krauskopf

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/RubyDebugger.java,
	  src/org/jruby/debug/Util.java: Unused params, few trivial
	  non-semantic tweaks.

2008-04-25 17:03  Martin Krauskopf

	* README: - columnize gem is needed as well
	  - showing right usage for JRuby

2008-04-25 16:14  Martin Krauskopf

	* ChangeLog, README: Quick instruction for installation of trunk
	  version

2008-04-25 14:30  Martin Krauskopf

	* Rakefile, lib/linecache-ruby.rb, lib/linecache.rb,
	  lib/ruby-debug-base.rb, lib/tracelines.rb: - Borrowing
	  tracelines.rb and linecache.rb from Rocky's linecache gem, until
	  we
	  have better solution. Simulating native
	  TraceLineNumbers.lnums_for_str by
	  primitive Ruby implementation
	  - Temporarily workardounging bug in the JRuby:
	  http://jira.codehaus.org/browse/JRUBY-2442

2008-04-25 14:11  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java: RubyUndef was removed
	  and replaced by static RubyObject.UNDEF (in JRuby rev. 6533)

2008-04-17 13:42  Martin Krauskopf

	* src/org/jruby/debug/Context.java: getting rid of deprecations

2008-04-16 15:03  Martin Krauskopf

	* Rakefile: unused java_classpath_arg (was renamed to
	  jruby_classpath)

2008-04-16 14:41  Martin Krauskopf

	* ., Rakefile: - importing test/base from native ruby-debug-base
	  and adding rake task for it
	  - ignore NetBeans project metadata for now

2008-04-16 14:33  Martin Krauskopf

	* lib/ruby-debug-base.rb: Define DEFAULT_START_SETTINGS constant
	  (forgotten commit). Merged from native ruby-debug-base

2008-04-16 13:21  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/RubyDebugger.java: Support for more
	  catchpoints
	  - passing test/base/catchpoint.rb

2008-04-11 09:23  Martin Krauskopf

	* lib/ruby-debug-base.rb, src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/RubyDebugger.java: Passing ruby-debug
	  test/base/base.rb
	  - mailny optional frame parameter

2008-04-09 08:52  Martin Krauskopf

	* jruby-patch.diff: Obsolete patch; not needed any more

2008-04-08 14:25  Martin Krauskopf

	* Rakefile: Show compiler warning by default.

2008-04-08 14:21  Martin Krauskopf

	* AUTHORS, ChangeLog, Rakefile: Adding license, authors and
	  ChangeLog to distribution files

2008-04-08 14:03  Martin Krauskopf

	* README: Updating quite obsolete README

2008-04-08 13:21  Martin Krauskopf

	* lib/test.rb: Removing obsolete (wrongly placed) test.

2008-04-08 13:17  Martin Krauskopf

	* ., Rakefile, lib, lib/ruby-debug-base.rb,
	  src/RubyDebugBaseService.java, src/RubyDebugService.java: Syncing
	  with C-version to be able to run their test suite and more...
	  - s/ruby_debug_base.jar/ruby_debug.jar
	  - build extension into 'ext' instead of 'lib'
	  - removing some redundant targets

2008-04-07 22:13  Martin Krauskopf

	* lib/ruby-debug-base.rb: Fake LineCache module simulating
	  linecache gem behaviour until there is full implementation for
	  JRuby.

2008-04-07 22:00  Martin Krauskopf

	* Rakefile, src/org/jruby/debug/RubyDebugger.java: Swathing trunk
	  to 0.10.1

2008-03-19 21:15  Martin Krauskopf

	* src/org/jruby/debug/Debugger.java: Some CLI options did not work.
	  Setting them during Debugger construction, not during start where
	  they might be already set.

2008-03-10 22:23  Peter Brant

	* src/org/jruby/debug/DebugEventHook.java: Update for latest trunk

2008-02-19 12:30  Martin Krauskopf

	* MIT-LICENSE: Updating license and addint MIT license for
	  jruby-debug-base

2008-02-05 13:48  Martin Krauskopf

	* src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/RubyDebugger.java: Check whether debugger is
	  started on more appropriate places

2008-02-04 14:06  Martin Krauskopf

	* Rakefile, src/org/jruby/debug/RubyDebugger.java: Switch
	  dependency to ruby-debug-base 0.10.0

2008-02-01 16:12  Martin Krauskopf

	* ChangeLog, Rakefile, svn2cl_usermap: svn2cl support + generating
	  ChangeLog

2008-01-29 22:41  Martin Krauskopf

	* Rakefile: Minor fixes/tweaks to specifications

2008-01-17 00:34  Peter Brant

	* src/org/jruby/debug/Breakpoint.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/RubyDebugBaseLibrary.java: Sync with trunk

2007-11-26 23:23  Peter Brant

	* src/org/jruby/debug/Breakpoint.java,
	  src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/RubyDebugBaseLibrary.java: Update to latest
	  trunk

2007-11-11 15:31  Martin Krauskopf

	* src/org/jruby/debug/Debugger.java: - check whether debugger is
	  started; so immediate call to e.g. Debugger.resume() does not
	  throw NPE (threadsTable not initialized yet)

2007-11-11 15:28  Martin Krauskopf

	* src/org/jruby/debug/Debugger.java: trivial refactoring:
	  introducing checkStarted(IRubyObject)

2007-11-11 15:21  Martin Krauskopf

	* src/org/jruby/debug/Debugger.java: removing code duplication; no
	  semantic change

2007-11-11 14:16  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java: - $! might be 'ni' if
	  the current ThreadContext is within 'defined?'
	  - minor cleanup

2007-11-10 23:06  Peter Brant

	* src/org/jruby/debug/DebugEventHook.java: Fix from MK

2007-11-10 15:02  Martin Krauskopf

	* Rakefile: 'or' does not work here. Has lower precedence then '='
	  operator. Better to use '||' or parenthesis.

2007-11-10 13:51  Martin Krauskopf

	* src/org/jruby/debug/Debugger.java: minor: redunant relics after
	  refactoring in rev. 302

2007-10-31 14:39  Peter Brant

	* Rakefile: Don't remove pkg directory in clean. There is clobber
	  for that. / Further refine jar command

2007-10-31 09:33  Martin Krauskopf

	* Rakefile: Fixing in more general way (shorter than File.join)

2007-10-30 23:49  Peter Brant

	* Rakefile: Clean out pkg directory when cleaning / Apparently jar
	  on Windows gets confused if slashes lean forward (bad JAR
	  created)

2007-10-28 15:24  Peter Brant

	* src/org/jruby/debug/RubyDebugger.java: Make sure
	  Debugger.post_mortem cannot be set until it actually does
	  something

2007-10-28 00:43  Peter Brant

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/DebugFrame.java: Implement copyScalarArgs()

2007-10-28 00:17  Peter Brant

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/DebugFrame.java: Implement contextCopyArgs()

2007-10-28 00:17  Peter Brant

	* src/org/jruby/debug/Debugger.java: Should use entry() instead of
	  get() for retrieving Ruby array values

2007-10-27 23:31  Peter Brant

	* src/org/jruby/debug/RubyDebugger.java: Implement debug_at_exit

2007-10-27 23:31  Peter Brant

	* src/org/jruby/debug/DebugEventHook.java: Move @SuppressWarnings
	  to the right place (now that the body of event() is its own
	  method)

2007-10-27 23:21  Peter Brant

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/RubyDebugger.java: Implement suspend/resume
	  all / Sleep status is "sleep" not "sleeping"

2007-10-27 22:15  Peter Brant

	* src/org/jruby/debug/DebugContext.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Debugger.java: Implement catchpoints

2007-10-27 22:15  Peter Brant

	* src/org/jruby/debug/RubyDebugBaseLibrary.java: Minor cleanup

2007-10-27 00:27  Peter Brant

	* src/org/jruby/debug/Context.java: Implement stop_frame=

2007-10-27 00:14  Peter Brant

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/Debugger.java: Finish implementation of "Run
	  to Line"

2007-10-26 23:57  Peter Brant

	* src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Debugger.java: Remove Ruby wrapper around
	  threads table (which only existed in ruby_debug.c to provide a
	  hook into the GC) / Synchronize as necessary on threads table
	  since we access it outside of the protection of the event hook
	  lock

2007-10-26 23:28  Peter Brant

	* src/org/jruby/debug/DebugEventHook.java: Implement hit count
	  related break conditions

2007-10-26 22:58  Peter Brant

	* src/org/jruby/debug/DebugBreakpoint.java,
	  src/org/jruby/debug/DebugContext.java,
	  src/org/jruby/debug/DebugFrame.java,
	  src/org/jruby/debug/RubyDebugBaseLibrary.java,
	  src/org/jruby/debug/Util.java: Clean up a too hasty commit

2007-10-26 22:50  Peter Brant

	* src/RubyDebugBaseService.java,
	  src/org/jruby/debug/Breakpoint.java,
	  src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugBreakpoint.java,
	  src/org/jruby/debug/DebugContext.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/DebugFrame.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/RubyDebugBaseLibrary.java,
	  src/org/jruby/debug/RubyDebugger.java,
	  src/org/jruby/debug/Util.java: Remove tabs that sneaked in / Add
	  license header to all Java files

2007-10-25 06:18  Martin Krauskopf

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/Debugger.java, src/org/jruby/debug/Util.java:
	  minor cleanup: removing Util#toBoolean - isTrue() is defined
	  diclared directly in IRubyObject

2007-10-25 00:44  Peter Brant

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/RubyDebugger.java: Implement Debugger.skip()
	  / Additional Ruby boilerplate / Clean up setters (which should
	  return the value they were passed)

2007-10-24 14:58  Peter Brant

	* lib/ruby-debug-base.rb: Comment out run_init_script (exists only
	  in trunk version of ruby-debug-base) (Dudley Flanders)

2007-10-24 13:13  Peter Brant

	* src/org/jruby/debug/Breakpoint.java: Fix to previous commit (pos=
	  was wrong)

2007-10-24 12:56  Peter Brant

	* src/org/jruby/debug/Breakpoint.java: Finish Ruby side of
	  breakpoint implementation

2007-10-24 12:55  Peter Brant

	* src/org/jruby/debug/DebugEventHook.java: A null method name (e.g.
	  when a class is defined) was causing the entire stack to be
	  unwound

2007-10-22 23:28  Peter Brant

	* src/org/jruby/debug/Context.java: Update for latest trunk / Fix
	  variable listing bug when no binding context is defined

2007-10-22 21:42  Chris Nelson

	* src/org/jruby/debug/Context.java: needed to fix annotations to
	  compile

2007-10-22 01:53  Peter Brant

	* src/RubyDebugBaseService.java: Rename DebuggerDef to RubyDebugger
	  for more consistency with core (missed in previous commit)

2007-10-22 01:52  Peter Brant

	* src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/DebuggerDef.java,
	  src/org/jruby/debug/RubyDebugBaseLibrary.java,
	  src/org/jruby/debug/RubyDebugger.java: Rename DebuggerDef to
	  RubyDebugger for more consistency with core

2007-10-22 01:51  Peter Brant

	* src/org/jruby/debug/Breakpoint.java,
	  src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebuggerDef.java,
	  src/org/jruby/debug/RubyDebugBaseLibrary.java: Move to
	  annotation-based Ruby method bindings / Minor method related
	  cleanups (mostly add a handful of missed bindings, always specify
	  arity where possible)

2007-10-21 01:03  Peter Brant

	* src/org/jruby/debug/Breakpoint.java,
	  src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugContext.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Debugger.java: Implement suspend and resume /
	  Threading semantics should be the same as C version now / Minor
	  cleanups

2007-10-20 00:03  Peter Brant

	* src/org/jruby/debug/DebugEventHook.java: Current thread was
	  always being removed from the thread table on an event

2007-10-18 19:35  Martin Krauskopf

	* Rakefile: Clean also built jar during :clean, so 'rake clean
	  install_gem' does the job

2007-10-18 19:27  Martin Krauskopf

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/DebuggerDef.java: - getting rid of my
	  personal signs/relics
	  - leaving some message - those places should be fixed soon

2007-10-18 19:16  Martin Krauskopf

	* src/org/jruby/debug/Context.java: suspended_p implemented

2007-10-18 19:13  Martin Krauskopf

	* src/org/jruby/debug/Context.java: ignored_p implemented

2007-10-18 18:51  Martin Krauskopf

	* src/org/jruby/debug/Context.java: stop_reason implemented

2007-10-17 16:39  Chris Nelson

	* Rakefile: missed one pkg/ruby_debug_base.jar

2007-10-14 18:37  Martin Krauskopf

	* src/RubyDebugBaseService.java: trivial cleanup

2007-10-13 15:51  Martin Krauskopf

	* .: Ignore 'dist' and 'build'

2007-10-13 15:50  Martin Krauskopf

	* Rakefile, lib: ruby_debug_base.jar must be packaged into lib dir
	  (my regression)
	  Ideally this would be done during packaging. So lib _source_ dir
	  would not be touched. But do not know how to do this yet

2007-10-12 23:40  Peter Brant

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Debugger.java: Robustness improvements to
	  step over / Method breakpoints work (although JRuby is giving us
	  the wrong line number) / Conditional breakpoints work (both line
	  and method) / Implement realClass()

2007-10-12 15:32  Peter Brant

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugContext.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/DebuggerDef.java: Block can now be passed to
	  Debugger.start() / Implement checkFrameNumber() / Fixes to local
	  variable listing

2007-10-11 18:26  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java: syncing with JRuby API
	  changes

2007-10-11 08:34  Martin Krauskopf

	* Rakefile: better way for clean/clobber tasks - I'm still Rake
	  newbie :)

2007-10-11 08:21  Martin Krauskopf

	* Rakefile: Clean task

2007-10-11 08:14  Martin Krauskopf

	* .: ignore pkg dir

2007-10-11 08:13  Martin Krauskopf

	* Rakefile: - default target (package)
	  - build everything into pkg directory (not lib and java dirs)
	  - minor cleanup (based on rcovrt4j package)

2007-10-09 06:15  Martin Krauskopf

	* Rakefile: Fixing wrong homepage and author

2007-10-09 03:57  Chris Nelson

	* lib/test.rb: very simple testcase

2007-10-09 03:24  Chris Nelson

	* README, Rakefile, lib, lib/ruby-debug-base.rb, lib/test.rb,
	  src/RubyDebugBaseService.java: initial checking of gem support

2007-10-08 20:54  Martin Krauskopf

	* src/org/jruby/debug/Context.java: - making compilable (after
	  JRuby trunk non-compatible API change)
	  - minor refactoring (renaming)

2007-09-28 17:05  Martin Krauskopf

	* src/org/jruby/debug/Breakpoint.java: basic breakpoint listing
	  works

2007-09-28 16:59  Martin Krauskopf

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/RubyDebugBaseLibrary.java: - minor cleanup
	  - removing Rubyism from Java classes

2007-09-28 16:27  Martin Krauskopf

	* src/org/jruby/debug/DebugContext.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/Debugger.java: Fixing frames handling

2007-09-28 08:56  Martin Krauskopf

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/DebugFrame.java: - s/id/methodName
	  - s/==/equals

2007-09-27 22:15  Martin Krauskopf

	* src/org/jruby/debug/Context.java: frame_self

2007-09-27 22:11  Martin Krauskopf

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugFrame.java: Tuning and applying patch
	  from Chris Nelson for local variables

2007-09-27 21:48  Martin Krauskopf

	* jruby-patch.diff: protected is enough

2007-09-26 08:46  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java: right way to get args
	  for current frame

2007-09-24 21:42  Martin Krauskopf

	* src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/DebugFrame.java: ThreadContext.getFrameArgs()
	  removed; wasn't used anyway; throwing UOE from
	  DebugFrame.getArgc() - not used so far(?)

2007-09-24 21:40  Martin Krauskopf

	* src/org/jruby/debug/DebugFrame.java: usuful toString()

2007-09-24 11:52  Martin Krauskopf

	* README, jruby-patch.diff: Note about JRuby's trunk plus patch

2007-09-09 20:34  Martin Krauskopf

	* src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/DebugFrame.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/DebuggerDef.java: Continuing... 'w' works a
	  little bit

2007-09-02 18:46  Martin Krauskopf

	* ., README, src, src/org, src/org/jruby, src/org/jruby/debug,
	  src/org/jruby/debug/Breakpoint.java,
	  src/org/jruby/debug/Context.java,
	  src/org/jruby/debug/DebugBreakpoint.java,
	  src/org/jruby/debug/DebugContext.java,
	  src/org/jruby/debug/DebugEventHook.java,
	  src/org/jruby/debug/DebugFrame.java,
	  src/org/jruby/debug/Debugger.java,
	  src/org/jruby/debug/DebuggerDef.java,
	  src/org/jruby/debug/RubyDebugBaseLibrary.java,
	  src/org/jruby/debug/Util.java: See jruby-debug/trunk/README

